Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 26-07-2011 16:05:27

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

[Resolu] gdm3:6663 failed to acquire org.gnome.DisplayManager...

Bonjour.

Je viens de faire une install de Squeeze sur un ordi portable compaq presario R3000. Après l'install, au redémarrage, gdm3 ne se lance pas, je reste sur le bash et lorsque je lance gdm3 en ligne de commande j'obtiens
gdm3:6663 failed to acquire org.gnome.DisplayManager could not acquire name; bailing out

J'ai désinstallé gdm3 et remis gdm à la place ce qui m'a permis de démarrer l'ordi en graphique mais c'est pas ça que je voulais au départ.

A+
Merci.

Dernière modification par laguespa (31-07-2011 19:11:56)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#2 26-07-2011 16:18:57

GutsBlack
Membre
Lieu : Marseille
Distrib. : Testing (Wheezy)
Noyau : 2.6.39+35.1: amd64
(G)UI : Gnome 2.30
Inscription : 22-07-2011

Re : [Resolu] gdm3:6663 failed to acquire org.gnome.DisplayManager...

C'est quoi ta carte graphique ? pilote libre ou propriétaire ?

Si tu polishes ta caisse elle brille !

Hors ligne

#3 26-07-2011 17:29:35

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Resolu] gdm3:6663 failed to acquire org.gnome.DisplayManager...

# lspci -v | grep -A 12 VGA
01:00.0 VGA compatible controller: nVidia Corporation NV17 [GeForce4 420 Go 32M] (rev a3) (prog-if 00 [VGA controller])
  Subsystem: Hewlett-Packard Company Device 006d
  Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 16
  Memory at ea000000 (32-bit, non-prefetchable) [size=16M]
  Memory at f8000000 (32-bit, prefetchable) [size=64M]
  Memory at fc000000 (32-bit, prefetchable) [size=512K]
  [virtual] Expansion ROM at fc080000 [disabled] [size=128K]
  Capabilities: [60] Power Management version 2
  Capabilities: [44] AGP version 2.0
  Kernel driver in use: nouveau


Je précise que cette machine tournait avant sous Debian 5 avec gdm et que tout allait bien.

A+


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#4 26-07-2011 18:43:05

Invité-5
Banni(e)

Re : [Resolu] gdm3:6663 failed to acquire org.gnome.DisplayManager...

Si ça peut t'aider http://debian-facile.org/

#5 27-07-2011 03:18:37

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Resolu] gdm3:6663 failed to acquire org.gnome.DisplayManager...

laguespa a écrit :

Finalement je me dis que je resterais bien sous gdm et si ça ne pose pas de problèmes particuliers j'y resterais jusque la sortie de la prochaine stable...


chez debian-fr.org


"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#6 31-07-2011 10:19:08

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Resolu] gdm3:6663 failed to acquire org.gnome.DisplayManager...

Salut Darien.

J'ai suivi ton lien et tenté le pinning mais aptitude update me retourne cette erreur avec le sources.list et le preferences conseillés.

# aptitude update
E: Enregistrement non valable dans le fichier de préférences /etc/apt/preferences, aucune entrée « Package ».
E: Enregistrement non valable dans le fichier de préférences /etc/apt/preferences, aucune entrée « Package ».


J'avais déjà tenté de faire un pinning sur la branche testing autrement qu'indiqué dans ce wiki mais la simulation de l'installation du driver pour la carte nvidia me proposait de toucher au paquet libc6. De ce fait j'avais renoncé.

A+

Dernière modification par laguespa (31-07-2011 10:55:33)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

#7 31-07-2011 14:21:58

laguespa
Membre
Distrib. : Jessie
Noyau : 4.2.0-0.bpo.1-amd64
(G)UI : Mate
Inscription : 25-09-2009

Re : [Resolu] gdm3:6663 failed to acquire org.gnome.DisplayManager...

Salut.

J'ai fini par trouver. Apparemment c'était tout simple. Sans faire de pinning, pour la carte graphique nVidia Corporation NV17 [GeForce4 420 Go 32M] (rev a3), il suffisait d'installer nvidia-glx de la branche stable.

# aptitude install nvidia-glx


Ce qui me donne ensuite :

# aptitude show gdm3
Paquet : gdm3                                
État: installé
Automatiquement installé: non
Version : 2.30.5-6squeeze3
Priorité : optionnel
Section : gnome
Responsable : Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Taille décompressée : 6 963 k
Dépend: libart-2.0-2 (>= 2.3.18), libatk1.0-0 (>= 1.29.3), libattr1 (>= 2.4.41-1), libaudit0, libbonobo2-0 (>= 2.15.0), libbonoboui2-0 (>= 2.15.1), libc6 (>=
         2.3.6-6~), libcairo2 (>= 1.2.4), libcanberra-gtk0 (>= 0.4), libcanberra0 (>= 0.2), libdbus-1-3 (>= 1.0.2), libdbus-glib-1-2 (>= 0.88),
         libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.2.1), libgconf2-4 (>= 2.27.0), libglib2.0-0 (>= 2.24.0), libgnome2-0 (>= 2.17.3), libgnomecanvas2-0
         (>= 2.11.1), libgtk2.0-0 (>= 2.16.0), liborbit2 (>= 1:2.14.10), libpam0g (>= 0.99.7.1), libpanel-applet2-0 (>= 2.28.0), libpango1.0-0 (>= 1.14.0),
         libpolkit-gobject-1-0 (>= 0.94), libpolkit-gtk-1-0 (>= 0.94), libpopt0 (>= 1.16), libselinux1 (>= 1.32), libupower-glib1 (>= 0.9.0), libwrap0 (>=
         7.6-4~), libx11-6, libxau6, libxdmcp6, libxklavier16 (>= 5.0), libxml2 (>= 2.6.27), zlib1g (>= 1:1.1.4), debconf (>= 0.5) | debconf-2.0, gconf2 (>=
         2.28.1-2), adduser, libpam-modules (>= 0.72-1), libpam-runtime (>= 0.76-13.1), gnome-session-bin (>= 2.30), policykit-1-gnome, upower, gnome-session
         | x-session-manager | x-window-manager | x-terminal-emulator, lsb-base (>= 3.2-14), librsvg2-common
Recommande: zenity, xserver-xephyr | xnest, x11-xkb-utils, xserver-xorg, at-spi, gnome-power-manager (>= 2.28), gnome-settings-daemon, gnome-icon-theme,
            desktop-base (>= 6)
Suggère: libpam-gnome-keyring, metacity, gnome-mag, gnome-orca, gok
Est en conflit: fast-user-switch-applet, gdm
Casse: gnome-orca (< 2.30.0-2), gnome-panel (< 2.26), gnome-screensaver (< 2.17.7), gnome-session (< 2.26)
Remplace: fast-user-switch-applet
Fournit: fast-user-switch-applet, x-display-manager
Description : Next generation GNOME Display Manager
GDM provides the equivalent of a "login:" prompt for X displays: it asks for a login and starts X sessions.

It provides all the functionality of XDM, including XDMCP support for managing remote displays, and extends it with the ability to start X servers on
demand.

The greeter is written using the GNOME libraries and hence looks like a GNOME application - even to the extent of supporting themes!

This package contains the next generation GDM, which was developed using the technologies on which GNOME 3 is based.


A+

Dernière modification par laguespa (31-07-2011 19:11:21)


"Ce serait peut-être l’une des plus grandes opportunités manquées de notre époque si le logiciel libre ne libérait rien d’autre que du code."

Hors ligne

Pied de page des forums